### Method

# Gdk.Drop.read_finish

#### Declaration [src]

    GInputStream*
    gdk_drop_read_finish (
      GdkDrop* self,
      GAsyncResult* result,
      const char** out_mime_type,
      GError** error
    )

#### Description [src]

Finishes an async drop read operation.

Note that you must not use blocking read calls on the returned stream in the GTK thread, since some platforms might require communication with GTK to complete the data transfer. You can use async APIs such as `g_input_stream_read_bytes_async()`.

See `gdk_drop_read_async()`.

#### Parameters

`result` | `GAsyncResult*`
| a `GAsyncResult`
| Ownership is not transferred to the callee
`out_mime_type` | `const char**`
| return location for the used mime type
| Direction: out
| Ownership of the data is transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `GInputStream*`
the `GInputStream`, or `NULL`
Ownership of the data is transferred to the caller
Can be `NULL`